Index: trunk/geant4/N03/include/ExN03RunAction.hh
===================================================================
--- trunk/geant4/N03/include/ExN03RunAction.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03RunAction.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03RunAction.hh,v 1.10 2006/06/29 17:48:47 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03RunAction.hh,v 1.11 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -45,20 +45,19 @@
 class ExN03RunAction : public G4UserRunAction
 {
-  public:
-    ExN03RunAction();
-   ~ExN03RunAction();
+public:
+  ExN03RunAction();
+  virtual ~ExN03RunAction();
 
-  public:
-    void BeginOfRunAction(const G4Run*);
-    void   EndOfRunAction(const G4Run*);
+  void BeginOfRunAction(const G4Run*);
+  void   EndOfRunAction(const G4Run*);
     
-    void fillPerEvent(G4double, G4double, G4double, G4double); 
+  void fillPerEvent(G4double, G4double, G4double, G4double); 
 
-  private:
-    G4double sumEAbs, sum2EAbs;
-    G4double sumEGap, sum2EGap;
+private:
+  G4double sumEAbs, sum2EAbs;
+  G4double sumEGap, sum2EGap;
     
-    G4double sumLAbs, sum2LAbs;
-    G4double sumLGap, sum2LGap;    
+  G4double sumLAbs, sum2LAbs;
+  G4double sumLGap, sum2LGap;    
 };
 
Index: trunk/geant4/N03/include/ExN03SteppingAction.hh
===================================================================
--- trunk/geant4/N03/include/ExN03SteppingAction.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03SteppingAction.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03SteppingAction.hh,v 1.9 2006/06/29 17:48:49 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03SteppingAction.hh,v 1.10 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -45,13 +45,13 @@
 class ExN03SteppingAction : public G4UserSteppingAction
 {
-  public:
-    ExN03SteppingAction(ExN03DetectorConstruction*, ExN03EventAction*);
-   ~ExN03SteppingAction();
+public:
+  ExN03SteppingAction(ExN03DetectorConstruction*, ExN03EventAction*);
+  virtual ~ExN03SteppingAction();
 
-    void UserSteppingAction(const G4Step*);
+  void UserSteppingAction(const G4Step*);
     
-  private:
-    ExN03DetectorConstruction* detector;
-    ExN03EventAction*          eventaction;  
+private:
+  ExN03DetectorConstruction* detector;
+  ExN03EventAction*          eventaction;  
 };
 
Index: trunk/geant4/N03/include/ExN03SteppingVerbose.hh
===================================================================
--- trunk/geant4/N03/include/ExN03SteppingVerbose.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03SteppingVerbose.hh	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingVerbose.hh,v 1.9 2006/06/29 17:48:52 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 //
Index: trunk/geant4/N03/rndmSeed.mac
===================================================================
--- trunk/geant4/N03/rndmSeed.mac	(revision 608)
+++ trunk/geant4/N03/rndmSeed.mac	(revision 609)
@@ -1,3 +1,3 @@
-# $Id: rndmSeed.mac,v 1.1 2003/01/27 17:55:47 maire Exp $
+# $Id: rndmSeed.mac,v 1.2 2007/06/13 10:36:39 maire Exp $
 #
 # This macro illustrates how to save and reset the random number seed
@@ -24,10 +24,10 @@
 /run/beamOn 4
 #
-# restart run 2
+# run3 : restart run 2
 #
 /random/resetEngineFrom currentRun.rndm
 /run/beamOn 4
 #
-# restart run 1 
+# run4 : restart run 1 
 #
 /random/resetEngineFrom run1.rndm
Index: trunk/geant4/N03/src/ExN03DetectorConstruction.cc
===================================================================
--- trunk/geant4/N03/src/ExN03DetectorConstruction.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03DetectorConstruction.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorConstruction.cc,v 1.23 2006/06/29 17:48:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03DetectorMessenger.cc
===================================================================
--- trunk/geant4/N03/src/ExN03DetectorMessenger.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03DetectorMessenger.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorMessenger.cc,v 1.10 2006/06/29 17:48:58 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03EventAction.cc
===================================================================
--- trunk/geant4/N03/src/ExN03EventAction.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03EventAction.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventAction.cc,v 1.28 2006/10/26 14:30:05 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01-ref $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03EventActionMessenger.cc
===================================================================
--- trunk/geant4/N03/src/ExN03EventActionMessenger.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03EventActionMessenger.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventActionMessenger.cc,v 1.12 2006/10/26 14:28:00 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01-ref $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03PhysicsList.cc
===================================================================
--- trunk/geant4/N03/src/ExN03PhysicsList.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03PhysicsList.cc	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PhysicsList.cc,v 1.20 2006/06/29 17:49:05 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03PhysicsList.cc,v 1.21 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -42,6 +42,6 @@
 ExN03PhysicsList::ExN03PhysicsList():  G4VUserPhysicsList()
 {
- defaultCutValue = 1.0*mm;
- SetVerboseLevel(1);
+  defaultCutValue = 1.0*mm;
+  SetVerboseLevel(1);
 }
 
@@ -119,5 +119,5 @@
 void ExN03PhysicsList::ConstructBaryons()
 {
-//  barions
+  //  barions
   G4Proton::ProtonDefinition();
   G4AntiProton::AntiProtonDefinition();
@@ -133,5 +133,5 @@
   AddTransportation();
   ConstructEM();
-  ConstructGeneral();
+  ConstructDecay();
 }
 
@@ -205,8 +205,8 @@
 #include "G4Decay.hh"
 
-void ExN03PhysicsList::ConstructGeneral()
+void ExN03PhysicsList::ConstructDecay()
 {
   // Add Decay Process
-   G4Decay* theDecayProcess = new G4Decay();
+  G4Decay* theDecayProcess = new G4Decay();
   theParticleIterator->reset();
   while( (*theParticleIterator)() ){
Index: trunk/geant4/N03/src/ExN03PrimaryGeneratorAction.cc
===================================================================
--- trunk/geant4/N03/src/ExN03PrimaryGeneratorAction.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03PrimaryGeneratorAction.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorAction.cc,v 1.8 2006/06/29 17:49:07 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/geant4/N03/src/ExN03PrimaryGeneratorMessenger.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03PrimaryGeneratorMessenger.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorMessenger.cc,v 1.9 2006/06/29 17:49:09 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03RunAction.cc
===================================================================
--- trunk/geant4/N03/src/ExN03RunAction.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03RunAction.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03RunAction.cc,v 1.18 2006/06/29 17:49:11 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/geant4/N03/src/ExN03SteppingAction.cc
===================================================================
--- trunk/geant4/N03/src/ExN03SteppingAction.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03SteppingAction.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingAction.cc,v 1.15 2006/06/29 17:49:13 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/src/ExN03SteppingVerbose.cc
===================================================================
--- trunk/geant4/N03/src/ExN03SteppingVerbose.cc	(revision 608)
+++ trunk/geant4/N03/src/ExN03SteppingVerbose.cc	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingVerbose.cc,v 1.13 2006/06/29 17:49:16 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/geant4/N03/vis.mac
===================================================================
--- trunk/geant4/N03/vis.mac	(revision 608)
+++ trunk/geant4/N03/vis.mac	(revision 609)
@@ -18,5 +18,5 @@
 # Use this open statement to get an .eps and .prim files
 # suitable for viewing in DAWN.
-/vis/open DAWNFILE
+###/vis/open DAWNFILE
 #
 # Use this open statement instead for OpenGL in immediate mode.
Index: trunk/geant4/N03/visTutor/exN03Vis12.loop
===================================================================
--- trunk/geant4/N03/visTutor/exN03Vis12.loop	(revision 608)
+++ trunk/geant4/N03/visTutor/exN03Vis12.loop	(revision 609)
@@ -2,3 +2,3 @@
 /vis/ogl/set/startTime {startTime} ns {timeRange} ns
 # Print eps file
-#/vis/oglx/printEPS
+#/vis/ogl/printEPS
Index: trunk/geant4/N03/visTutor/exN03Vis12.mac
===================================================================
--- trunk/geant4/N03/visTutor/exN03Vis12.mac	(revision 608)
+++ trunk/geant4/N03/visTutor/exN03Vis12.mac	(revision 609)
@@ -1,70 +1,97 @@
 #######################################################################
-#  MACRO FILE NAME: exN03Vis12.mac                                     #
+#  MACRO FILE NAME: exN03Vis12.mac                                    #
 #                                                                     #
-#  AUTHOR(S): Laurent Garnier                                         #
+#  AUTHOR(S): John Allison                                            #
 #                                                                     #
-#  DATE: July 01, 2007                                                #
+#  DATE: 16th August 2006                                             #
 #                                                                     #
-#  CONTENTS: A basic macro for demonstrating Inventor driver          #
+#  CONTENTS: A basic macro for demonstrating time slicing             #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac            #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac             #
 #                                                                     #
-#  REQUIRED PLATFORMS & SOFTWARES: Unix, Motif, X-window, OpenGL,Qt   #
-#                                  HEPVis                             #
-#                                  Inventor (TGS or SoFree)           #
+#  REQUIRED PLATFORMS & SOFTWARES: Mac/Unix with X-Windows, OpenGL    #
 #                                                                     #
-#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR INSTALLATION:               #
-#  (See geant4/source/visualization/README for details.)              #
-#                                                                     #
-#    % setenv G4VIS_BUILD_OIX_DRIVER       1                          # 
-#                                                                     #
-#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR COMPILATION:                #
-#  (See geant4/source/visualization/README for details.)              #
-#                                                                     #
-#    % setenv G4VIS_USE_OIQT               1                          #
-#                                                                     # 
 #  ADDITIONAL NOTES:                                                  #
 #                                                                     # 
 #######################################################################
 
-# Create "scene-0" 
-/vis/scene/create
+/control/verbose 2
+/vis/verbose confirmations
 
-# Invoke the OpenInventor driver 
-/vis/sceneHandler/create OGLIQT
-/vis/viewer/create
+/vis/open OGLSX
+/vis/drawVolume
+/vis/scene/add/eventID
+/vis/scene/add/trajectories rich
 
-# Add the world volume to the current scene
-/vis/scene/add/volume
-#/vis/scene/add/volume Layer
-# Name of the absorbers = name of their material (Lead) !
-#/vis/scene/add/volume Lead
-# Name of the gaps = name of their material (liquidArgon) !
-#/vis/scene/add/volume liquidArgon
-#/vis/scene/add/trajectories
-/tracking/storeTrajectory 1
+# Set up drawByCharge with time slicing
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 5
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawAuxPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setAuxPtsSize 5
+/vis/modeling/trajectories/drawByCharge-0/default/setTimeSliceInterval 0.001 ns
+/vis/modeling/trajectories/list
+#/N03/det/setField 5 T
+#/N03/det/update
+/run/beamOn
 
-# Bird-eye view of events
-/vis/viewer/reset
-/vis/viewer/set/viewpointThetaPhi   45 45 
+# Configure OpenGL for display-by-time
+/vis/ogl/set/fade 1
+/vis/ogl/set/displayHeadTime true
+/control/alias timeRange 0.1
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 0.7 0.005
+/control/verbose 2
+/vis/verbose confirmations
+/vis/ogl/set/displayHeadTime false
 
-/vis/scene/notifyHandlers
+# Set up drawByParticleID with time slicing
+/vis/modeling/trajectories/create/drawByParticleID
+/vis/modeling/trajectories/drawByParticleID-0/set e- red
+/vis/modeling/trajectories/drawByParticleID-0/set e+ blue
+/vis/modeling/trajectories/drawByParticleID-0/set pi- cyan
+/vis/modeling/trajectories/drawByParticleID-0/set pi+ magenta
+#/vis/modeling/trajectories/drawByParticleID-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByParticleID-0/default/setStepPtsSize 5
+#/vis/modeling/trajectories/drawByParticleID-0/default/setDrawAuxPts true
+/vis/modeling/trajectories/drawByParticleID-0/default/setAuxPtsSize 5
+/vis/modeling/trajectories/drawByParticleID-0/default/setTimeSliceInterval 0.001 ns
+/vis/modeling/trajectories/list
 
+# Remove gammas
+/vis/filtering/trajectories/create/particleFilter
+/vis/filtering/trajectories/particleFilter-0/add gamma
+/vis/filtering/trajectories/particleFilter-0/invert true
+
+/gun/energy 1 GeV
+/run/beamOn
+/control/alias timeRange 0.1
+/vis/ogl/set/displayHeadTime true
+/vis/ogl/set/displayLightFront true -90 0 0 mm
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 0.7 0.001
 /control/verbose 2
-#######################################################################
-#   Controls on an Inventor examiner viewer are :                     #
-#  - in picking mode (cursor is the upper left arrow)                 #
-#   Ctrl + pick a volume : see daughters.                             #
-#   Shift + pick a volume : see mother.                               #
-#  - in viewing mode (cursor is the hand)                             #
-#   Left-button + pointer move : rotate.                              #
-#   Ctrl+Left-button + pointer move : pane.                           #
-#   Ctrl+Shift+Left-button + pointer move : scale.                    #
-#   Middle-button + pointer move : pane.                              #
-#                                                                     #
-#######################################################################
+/vis/verbose confirmations
+/vis/ogl/set/displayLightFront false
+/vis/ogl/set/displayHeadTime false
 
-/vis/viewer/update
-
-/run/beamOn 1
-
+# To see pi -> mu -> e decay.
+/gun/particle pi+
+/vis/filtering/trajectories/particleFilter-0/add anti_nu_mu
+/vis/filtering/trajectories/particleFilter-0/add nu_mu
+/vis/filtering/trajectories/particleFilter-0/add anti_nu_e
+/vis/filtering/trajectories/particleFilter-0/add nu_e
+# Accumulate several events for effect
+# /vis/scene/endOfEventAction accumulate
+/gun/energy 100 MeV
+#/vis/viewer/set/globalLineWidthScale 2
+/run/beamOn
+/control/alias timeRange 1000
+/vis/ogl/set/displayHeadTime true
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 3000 5
+/control/verbose 2
+/vis/verbose confirmations
Index: trunk/geant4/N03/visTutor/exN03Vis13.loop
===================================================================
--- trunk/geant4/N03/visTutor/exN03Vis13.loop	(revision 608)
+++ trunk/geant4/N03/visTutor/exN03Vis13.loop	(revision 609)
@@ -5,3 +5,3 @@
 /vis/viewer/refresh
 # Print eps file
-#/vis/oglx/printEPS
+#/vis/ogl/printEPS
Index: trunk/geant4/N03/visTutor/exN03Vis15.mac
===================================================================
--- trunk/geant4/N03/visTutor/exN03Vis15.mac	(revision 609)
+++ trunk/geant4/N03/visTutor/exN03Vis15.mac	(revision 609)
@@ -0,0 +1,70 @@
+#######################################################################
+#  MACRO FILE NAME: exN03Vis12.mac                                     #
+#                                                                     #
+#  AUTHOR(S): Laurent Garnier                                         #
+#                                                                     #
+#  DATE: July 01, 2007                                                #
+#                                                                     #
+#  CONTENTS: A basic macro for demonstrating Inventor driver          #
+#                                                                     #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac            #
+#                                                                     #
+#  REQUIRED PLATFORMS & SOFTWARES: Unix, Motif, X-window, OpenGL,Qt   #
+#                                  HEPVis                             #
+#                                  Inventor (TGS or SoFree)           #
+#                                                                     #
+#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR INSTALLATION:               #
+#  (See geant4/source/visualization/README for details.)              #
+#                                                                     #
+#    % setenv G4VIS_BUILD_OIX_DRIVER       1                          # 
+#                                                                     #
+#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR COMPILATION:                #
+#  (See geant4/source/visualization/README for details.)              #
+#                                                                     #
+#    % setenv G4VIS_USE_OIQT               1                          #
+#                                                                     # 
+#  ADDITIONAL NOTES:                                                  #
+#                                                                     # 
+#######################################################################
+
+# Create "scene-0" 
+/vis/scene/create
+
+# Invoke the OpenInventor driver 
+/vis/sceneHandler/create OGLIQT
+/vis/viewer/create
+
+# Add the world volume to the current scene
+/vis/scene/add/volume
+#/vis/scene/add/volume Layer
+# Name of the absorbers = name of their material (Lead) !
+#/vis/scene/add/volume Lead
+# Name of the gaps = name of their material (liquidArgon) !
+#/vis/scene/add/volume liquidArgon
+#/vis/scene/add/trajectories
+/tracking/storeTrajectory 1
+
+# Bird-eye view of events
+/vis/viewer/reset
+/vis/viewer/set/viewpointThetaPhi   45 45 
+
+/vis/scene/notifyHandlers
+
+/control/verbose 2
+#######################################################################
+#   Controls on an Inventor examiner viewer are :                     #
+#  - in picking mode (cursor is the upper left arrow)                 #
+#   Ctrl + pick a volume : see daughters.                             #
+#   Shift + pick a volume : see mother.                               #
+#  - in viewing mode (cursor is the hand)                             #
+#   Left-button + pointer move : rotate.                              #
+#   Ctrl+Left-button + pointer move : pane.                           #
+#   Ctrl+Shift+Left-button + pointer move : scale.                    #
+#   Middle-button + pointer move : pane.                              #
+#                                                                     #
+#######################################################################
+
+/vis/viewer/update
+
+/run/beamOn 1
+
Index: trunk/geant4/N03/visTutor/gui.mac
===================================================================
--- trunk/geant4/N03/visTutor/gui.mac	(revision 608)
+++ trunk/geant4/N03/visTutor/gui.mac	(revision 609)
@@ -33,5 +33,5 @@
 /gui/addButton vis Vis3(OGLSX) "/control/execute visTutor/exN03Vis3.mac"
 /gui/addButton vis Vis4(OGLIX) "/control/execute visTutor/exN03Vis4.mac"
-/gui/addButton vis Vis12(OGLIQT) "/control/execute visTutor/exN03Vis12.mac"
+/gui/addButton vis Vis15(OGLIQT) "/control/execute visTutor/exN03Vis15.mac"
 /gui/addButton vis Vis14(OGLSQT) "/control/execute visTutor/exN03Vis14.mac"
 /gui/addButton vis Vis5(OIX)   "/control/execute visTutor/exN03Vis5.mac"
Index: trunk/geant4/config/History
===================================================================
--- trunk/geant4/config/History	(revision 608)
+++ trunk/geant4/config/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.303 2007/11/02 15:58:08 gcosmo Exp $
+$Id: History,v 1.305 2007/11/16 10:44:51 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -16,4 +16,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+15th November 2007  Ben Morgan (config-V09-00-07)
+- Update Configure script to handle new 'gdml' sub-module and new data
+  libraries (G4ABLADATA and new G4EMLOW version).
+- Updated internal scripts for Configure accordingly.
 
 2nd November 2007  Gabriele Cosmo (config-V09-00-06)
@@ -27,4 +32,14 @@
 10th October 2007  Gunter Folger (config-V09-00-05)
 - Added "incl" (Liege cascade) hadronic model module to binmake.gmk. 
+
+3th October 2007  Laurent Garnier
+- Added setup for Qt in those files :
+ - config/G4UI_BUILD.gmk
+ - config/G4UI_USE.gmk
+ - config/G4VIS_BUILD.gmk
+ - config/G4VIS_USE.gmk
+ - config/interactivity.gmk
+ - config/sys/Darwin-g++.gmk
+ - config/sys/Linux-g++.gmk
  
 16th August 2007  Gabriele Cosmo (config-V09-00-04)
Index: trunk/geant4/interfaces/GAG/src/G4UIGAG.cc
===================================================================
--- trunk/geant4/interfaces/GAG/src/G4UIGAG.cc	(revision 608)
+++ trunk/geant4/interfaces/GAG/src/G4UIGAG.cc	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UIGAG.cc,v 1.18 2006/06/29 19:09:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// $Id: G4UIGAG.cc,v 1.19 2007/10/30 10:14:34 kmura Exp $
+// GEANT4 tag $Name:  $
 //
 // G4UIGAG.cc
@@ -414,5 +414,5 @@
 {
   G4UIcommandTree * treeTop = UI->GetTree();
-  /*int*/unsigned i = newCommand.index(" ");
+  /*int*/str_size i = newCommand.index(" ");
   if( i != std::string::npos )
   {
Index: trunk/geant4/interfaces/History
===================================================================
--- trunk/geant4/interfaces/History	(revision 608)
+++ trunk/geant4/interfaces/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.82 2007/06/19 10:38:28 gcosmo Exp $
+$Id: History,v 1.89 2007/11/16 10:41:54 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,36 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+15 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Adding a GEANT4_QT_DEBUG flag to hide all debug messages
+ - G4UIQt,G4Qt : Compilation improvements for Qt3
+ - G4UIQt,G4Qt : Minors corrections on G4UIQt helpWidget
+
+13 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Moving all moc in one big file interface/G4UIQT_moc.cc,
+   including Qt3 and Qt4 moc support
+
+09 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Change all include directive to be compatible with Qt3
+
+27 Sept 2007, Laurent Garnier
+ - Adding sur files for G4UIQt driver
+
+06 November Koichi Murakami
+- G4UItcsh.cc: store shell histoty accross sessrions.
+
+30 October 2007 Koichi Murakami (interfaces-V09-00-02)
+- Guy committed the new Qt interface (28/Sep).
+- Add "#ifdef G4UI_BUILD_QT_SESSION" protection in src/G4UIQt_moc.cc.
+- Remove Qt interface from the current tag.
+- G4UIGAG.cc: suppress a compilation warning.
+
+30 October 2007 Koichi Murakami (interfaces-V09-00-01)
+- Makoto updated the implementation of the signal handler for Ctrl-C.
+
+28 October 2007, Makoto Asai
+- Remove improper dependency from interfaces/basic to run in GNUmakefile
+
+02 August 2007, Koichi Murakami (interfaces-V09-00-00)
+- Fix compilation warning on SUN-CC in G4UIterminal.cc
 
 19 June 2007, Gabriele Cosmo (interfaces-V08-03-02)
Index: trunk/geant4/interfaces/basic/GNUmakefile
===================================================================
--- trunk/geant4/interfaces/basic/GNUmakefile	(revision 608)
+++ trunk/geant4/interfaces/basic/GNUmakefile	(revision 609)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.3 2007/05/21 07:30:33 kmura Exp $
+# $Id: GNUmakefile,v 1.4 2007/10/29 18:49:45 asaim Exp $
 # -------------------------------------------------------------
 # GNUmakefile for interfaces/basic library.  John Allison, 6/7/98.
@@ -16,30 +16,4 @@
 CPPFLAGS += -I$(G4BASE)/interfaces/common/include
 CPPFLAGS += -I$(G4BASE)/intercoms/include
-CPPFLAGS += -I$(G4BASE)/global/management/include \
-            -I$(G4BASE)/global/HEPRandom/include \
-            -I$(G4BASE)/global/HEPGeometry/include \
-            -I$(G4BASE)/run/include \
-            -I$(G4BASE)/event/include \
-            -I$(G4BASE)/track/include \
-            -I$(G4BASE)/tracking/include \
-            -I$(G4BASE)/particles/management/include \
-            -I$(G4BASE)/processes/management/include \
-            -I$(G4BASE)/processes/cuts/include \
-            -I$(G4BASE)/processes/electromagnetic/utils/include \
-            -I$(G4BASE)/processes/transportation/include \
-            -I$(G4BASE)/processes/decay/include \
-            -I$(G4BASE)/materials/include \
-            -I$(G4BASE)/geometry/management/include \
-            -I$(G4BASE)/geometry/volumes/include \
-            -I$(G4BASE)/geometry/navigation/include \
-            -I$(G4BASE)/geometry/magneticfield/include \
-            -I$(G4BASE)/geometry/biasing/include \
-            -I$(G4BASE)/digits_hits/detector/include \
-            -I$(G4BASE)/digits_hits/hits/include \
-            -I$(G4BASE)/digits_hits/digits/include \
-            -I$(G4BASE)/interfaces/common/include \
-            -I$(G4BASE)/interfaces/basic/include \
-            -I$(G4BASE)/intercoms/include \
-            -I$(G4BASE)/graphics_reps/include
 
 include $(G4INSTALL)/config/common.gmk
Index: trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 608)
+++ trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 609)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4UIQt.hh,v 1.6 2007/11/15 18:24:27 lgarnier Exp $
+// $Id: G4UIQt.hh,v 1.7 2007/11/15 18:53:59 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -149,5 +149,9 @@
   void ButtonCallback(const QString&);
   void HelpTreeClicCallback();
+#if QT_VERSION < 0x040000
+  void HelpTreeDoubleClicCallback( QListViewItem*, int);
+#else
   void HelpTreeDoubleClicCallback( QTreeWidgetItem*, int);
+#endif
   void ShowHelpCallback();
   void CommandHistoryCallback();
Index: trunk/geant4/specific-geant4-dev.sh
===================================================================
--- trunk/geant4/specific-geant4-dev.sh	(revision 608)
+++ trunk/geant4/specific-geant4-dev.sh	(revision 609)
@@ -27,5 +27,5 @@
   export G4RADIOACTIVEDATA=$G4DATA/RadiativeDecay
   export G4LEDATA=$G4DATA/G4EMLOW3.0
-  export QTHOME=/usr/local/Qt/3.3.8
+  export QTHOME=/usr/local/Qt/4.3.0
   #//////////////////////////////////////////////////////////
   # GUI, Visualization :
Index: trunk/geant4/visualization/History
===================================================================
--- trunk/geant4/visualization/History	(revision 608)
+++ trunk/geant4/visualization/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.414 2007/07/10 17:54:09 allison Exp $
+$Id: History,v 1.417 2007/11/15 10:18:32 allison Exp $
 -------------------------------------------------------------------
 
@@ -24,4 +24,15 @@
 History file for visualization category
 ---------------------------------------
+
+15th November 2007  John Allison
+- opengl-V09-00-03: Re-introduced Qt files. (All files now properly protected.)
+
+13th November 2007  John Allison  (vis-V09-00-02)
+- Removed OpenGL Qt files from tag.  File are still at head - need fixing.
+
+10th November 2007  John Allison  (vis-V09-00-01)
+- opengl-V09-00-01: Minor improvements in design and messaging.
+- modeling-V09-00-00: Minor improvements in messaging.
+- visman-V09-00-01:Minor improvement in messaging.
 
 10th July 2007  John Allison  (vis-V09-00-00)
